package amine.bou.models

import amine.bou.DB.Habit
import kotlinx.serialization.Serializable

@Serializable
data class HabitView(val id: Int?, val name: String, val color: String, val recurrence: RecurrenceViewEnum, val occurrences: List<HabitOccurrenceView>)


fun Habit.toView() : HabitView = HabitView(this.id.value, this.name, this.color, this.recurrence, this.occurences.map {it.toView()})